This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 83651 - after upgrade php is effectively disabled
after upgrade php is effectively disabled
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.2
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
http://sitetest.athabascau.ca/my.php
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-06 14:44 EST by Dmitry S. Makovey
Modified: 2007-03-27 00:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 16:38:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry S. Makovey 2003-02-06 14:44:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.2.1) Gecko/20030129

Description of problem:
After I upgraded/fresh installed apache-1.3.27-1.7.2 for RH 7.2 or even the same
for RH 7.3 my php scripts are effectively disabled from precessing. they are
being sent as clear text.
Used packages:
apache-1.3.27-1.7.2
php-4.1.2-7.2.6

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install RH 7.2
2. install newest apache rpm for it.
3. install newest php rpm for it.
4. try to run any php scripts after starting httpd    

Actual Results:  <?
 phpinfo();
?>

Expected Results:  loong-long page with current system info

Additional info:

it happened on my server with 7.2 and the same happened with my 7.3 at home.
Comment 1 Dmitry S. Makovey 2003-02-06 16:40:20 EST
Figured out - php.ini by default now has "short_open_tag = Off" instead of "on"
which disables my scripts starting with "<?" instead of "<?php".

Note You need to log in before you can comment on or make changes to this bug.